Cyberduck Mountain Duck CLI

#9731 closed defect (fixed)

Updates to S3 ACL not showing up in Info window without refreshing

Reported by: jcappell Owned by: dkocher
Priority: normal Milestone: 5.2
Component: s3 Version: 5.1
Severity: normal Keywords: AWS, ACL, permissions, s3
Cc: Architecture:
Platform: Mac OS X 10.11

Description (last modified by dkocher)

in an AWS file's Info dialog, when I add or remove a permission, the change is not immediately shown anymore. The spinner animation runs for half a second, but then it looks like the permission state has reverted to whatever it was when I opened the dialog.

In fact, the permissions *have* been changed, it's just not showing it. To visually confirm this you need to both

  1. Hit Refresh in the directory pane,

and

  1. Either (a) exit and reenter the file's Info dialog, or (b) click on another file in the directory pane and then click back to reselect the file in question.

Change History (7)

comment:1 Changed on Oct 10, 2016 at 11:44:12 PM by jcappell

  • Keywords s3 added
  • Summary changed from Updates to AWS ACL not showing up in Info dialog without refreshing and returning to the Info dialog. to Updates to AWS s3 ACL not showing up in Info dialog without refreshing and returning to the Info dialog.

comment:2 Changed on Oct 10, 2016 at 11:48:00 PM by jcappell

  • Description modified (diff)

comment:3 Changed on Oct 11, 2016 at 8:04:31 AM by dkocher

  • Component changed from core to s3
  • Description modified (diff)
  • Milestone set to 6.0
  • Owner set to dkocher
  • Status changed from new to assigned

comment:4 Changed on Oct 11, 2016 at 10:20:06 AM by dkocher

  • Summary changed from Updates to AWS s3 ACL not showing up in Info dialog without refreshing and returning to the Info dialog. to Updates to S3 ACL not showing up in Info window without refreshing

comment:5 Changed on Oct 11, 2016 at 10:21:29 AM by dkocher

#9682 closed as duplicate.

comment:6 Changed on Oct 11, 2016 at 3:11:02 PM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r21642.

comment:7 Changed on Oct 19, 2016 at 2:17:19 PM by dkocher

  • Milestone changed from 6.0 to 5.2

Milestone renamed

Note: See TracTickets for help on using tickets.
swiss made software